This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 175425 - Review Request: tile - Modern versions of Tk widget set
Review Request: tile - Modern versions of Tk widget set
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-09 21:17 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 10:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2005-12-09 21:17:33 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/tile.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/tile-0.7.2-1.src.rpm
MD5SUMs:  http://www.kobold.org/~wart/fedora/MD5SUM.asc
Description:


The Tile Widget Set is an experimental reimplementation of
some of the core Tk widgets.  This packages adds theming and
other modern features to the core Tk widget set.
Comment 1 Wart 2006-01-12 00:22:34 EST
New package that fixes the build problems on the devel branch.

http://www.kobold.org/~wart/fedora/tile-0.7.2-2.src.rpm
http://www.kobold.org/~wart/fedora/tile.spec
Comment 2 Ignacio Vazquez-Abrams 2006-02-21 06:42:20 EST
- Patch filename has no descriptive quality
- Odd spacing in %changelog
? Is the static lib in -devel required?
- Include demos, doc/converting.txt, and doc/html in %doc
- Install doc/*.n into %{_mandir}/mann
Comment 3 Wart 2006-02-22 17:16:51 EST
(In reply to comment #2)
> - Patch filename has no descriptive quality

Fixed.  I also modified the patch with another minor fix for devel.

> - Odd spacing in %changelog

You mean the missing spaces between entries?  Fixed.

> ? Is the static lib in -devel required?

Yes.  This is the stub library for linking against tile.  Tcl stub libraries are
a cross-platform cross-compiler way of performing dynamic linking.  So even
though it's a static library, it's really used for dynamic linking:
http://wiki.tcl.tk/285

> - Include demos, doc/converting.txt, and doc/html in %doc

Done.

> - Install doc/*.n into %{_mandir}/mann

Done.

New files:

http://www.kobold.org/~wart/fedora/tile-0.7.2-3.src.rpm
http://www.kobold.org/~wart/fedora/tile.spec
Comment 4 Ignacio Vazquez-Abrams 2006-02-23 02:09:26 EST
APPROVED
Comment 5 Wart 2006-02-23 10:30:35 EST
Imported and built on devel.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.